ch.qos.logback.classic.spi

## Class ThrowableProxy

- java.lang.Object
- - ch.qos.logback.classic.spi.ThrowableProxy

All Implemented Interfaces:
  IThrowableProxy

    public class ThrowableProxy
    extends java.lang.Object
    implements IThrowableProxy

### Constructor Summary

Constructors
Constructor and Description
`ThrowableProxy(java.lang.Throwable throwable)`

### Method Summary

Methods
`void` `calculatePackagingData()`
`void` `fullDump()`
`IThrowableProxy` `getCause()`
`java.lang.String` `getClassName()`
`int` `getCommonFrames()`
`java.lang.String` `getMessage()`
`PackagingDataCalculator` `getPackagingDataCalculator()`
`StackTraceElementProxy[]` `getStackTraceElementProxyArray()`
`IThrowableProxy[]` `getSuppressed()`
`java.lang.Throwable` `getThrowable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThrowableProxy

    public ThrowableProxy(java.lang.Throwable throwable)

### Method Detail

#### getThrowable

    public java.lang.Throwable getThrowable()

#### getMessage

    public java.lang.String getMessage()

Specified by:
  `getMessage` in interface `IThrowableProxy`

#### getClassName

    public java.lang.String getClassName()

Specified by:
  `getClassName` in interface `IThrowableProxy`

#### getStackTraceElementProxyArray

    public StackTraceElementProxy[] getStackTraceElementProxyArray()

Specified by:
  `getStackTraceElementProxyArray` in interface `IThrowableProxy`

#### getCommonFrames

    public int getCommonFrames()

Specified by:
  `getCommonFrames` in interface `IThrowableProxy`

#### getCause

    public IThrowableProxy getCause()

Specified by:
  `getCause` in interface `IThrowableProxy`

#### getSuppressed

    public IThrowableProxy[] getSuppressed()

Specified by:
  `getSuppressed` in interface `IThrowableProxy`

#### getPackagingDataCalculator

    public PackagingDataCalculator getPackagingDataCalculator()

#### calculatePackagingData

    public void calculatePackagingData()

#### fullDump

    public void fullDump()